> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Analyze model quality



## OpenAPI

````yaml /api-specs/6.3/public-api.json post /model-monitor/v2/api/model/{model_id}/analyze-model-quality
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.3.1
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: AI Gateway
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /model-monitor/v2/api/model/{model_id}/analyze-model-quality:
    summary: >
      Returns MQ analyze for the model based on the user's config (or model's
      default config).
    parameters:
      - in: path
        name: model_id
        schema:
          type: string
        required: true
        description: Identifier for the model to be updated.
    post:
      tags:
        - Model Monitoring drift and quality
      operationId: analyzeModelQuality
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/dmm-plier_modelQualityQueryRequest'
      responses:
        '200':
          description: The MQ analyze query was done successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dmm-plier_modelQualityAnalyzeResponse'
        '204':
          description: Empty response.
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '500':
          description: Internal server error, check server logs.
      security:
        - dmm-plier_DominoApiKeyAuth: []
        - dmm-plier_DmmApiKeyAuth: []
        - dmm-plier_cookieAuth: []
        - dmm-plier_BearerAuth: []
components:
  schemas:
    dmm-plier_modelQualityQueryRequest:
      oneOf:
        - $ref: '#/components/schemas/dmm-plier_modelQualityRegressionQuery'
        - $ref: '#/components/schemas/dmm-plier_modelQualityClassificationQuery'
      discriminator:
        propertyName: modelType
        mapping:
          regression:
            $ref: '#/components/schemas/dmm-plier_modelQualityRegressionQuery'
          classification:
            $ref: '#/components/schemas/dmm-plier_modelQualityClassificationQuery'
    dmm-plier_modelQualityAnalyzeResponse:
      oneOf:
        - $ref: >-
            #/components/schemas/dmm-plier_classificationModelQualityAnalyzeResponse
        - $ref: '#/components/schemas/dmm-plier_regressionModelQualityAnalyzeResponse'
      discriminator:
        propertyName: modelType
        mapping:
          classification:
            $ref: >-
              #/components/schemas/dmm-plier_classificationModelQualityAnalyzeResponse
          regression:
            $ref: >-
              #/components/schemas/dmm-plier_regressionModelQualityAnalyzeResponse
    dmm-plier_modelQualityRegressionQuery:
      title: Regression Metric Query
      description: Query config for Regression model
      allOf:
        - $ref: '#/components/schemas/dmm-plier_metricQueryCommon'
        - type: object
          required:
            - metricCheckConfigs
          properties:
            metricCheckConfigs:
              type: array
              items:
                $ref: '#/components/schemas/dmm-plier_regressionCheckConfig'
    dmm-plier_modelQualityClassificationQuery:
      title: Classification Metric Query
      description: Query config for Classification model
      allOf:
        - $ref: '#/components/schemas/dmm-plier_metricQueryCommon'
        - type: object
          required:
            - metricCheckConfigs
          properties:
            metricCheckConfigs:
              type: array
              items:
                $ref: '#/components/schemas/dmm-plier_classificationCheckConfig'
    dmm-plier_classificationModelQualityAnalyzeResponse:
      allOf:
        - $ref: '#/components/schemas/dmm-plier_modelQualityAnalyzeCommonResponse'
        - type: object
          required:
            - confusionMatrix
            - classificationReport
          properties:
            confusionMatrix:
              $ref: '#/components/schemas/dmm-plier_confusionMatrix'
            classificationReport:
              $ref: '#/components/schemas/dmm-plier_classificationReport'
    dmm-plier_regressionModelQualityAnalyzeResponse:
      allOf:
        - $ref: '#/components/schemas/dmm-plier_modelQualityAnalyzeCommonResponse'
    dmm-plier_metricQueryCommon:
      title: Metric Query Common components
      description: Metric Query Common components acrooss all metrics.
      type: object
      required:
        - modelType
      properties:
        startTimestamp:
          type: number
        endTimestamp:
          type: number
        modelType:
          $ref: '#/components/schemas/dmm-plier_modelType'
    dmm-plier_regressionCheckConfig:
      allOf:
        - $ref: '#/components/schemas/dmm-plier_metricCheckConfigCommon'
        - type: object
          required:
            - metricType
          properties:
            metricType:
              $ref: '#/components/schemas/dmm-plier_regressionMetrics'
    dmm-plier_classificationCheckConfig:
      allOf:
        - $ref: '#/components/schemas/dmm-plier_metricCheckConfigCommon'
        - type: object
          required:
            - metricType
          properties:
            metricType:
              $ref: '#/components/schemas/dmm-plier_classificationMetrics'
    dmm-plier_modelQualityAnalyzeCommonResponse:
      type: object
      required:
        - modelType
        - calculatedOn
        - startTimestamp
        - endTimestamp
        - metricTestResults
        - matchedRowCount
      properties:
        modelType:
          $ref: '#/components/schemas/dmm-plier_modelType'
        calculatedOn:
          title: Query Time
          description: Timestamp of time when the query was performed.
          type: number
        startTimestamp:
          title: Start Timestamp
          description: Start time for the data used for the query.
          type: number
        endTimestamp:
          title: End Timestamp
          description: End time for the data used for the query.
          type: number
        metricTestResults:
          title: Metric Test Results
          description: Metric Test Results for the queries.
          type: array
          items:
            $ref: '#/components/schemas/dmm-plier_metricTestResult'
        matchedRowCount:
          description: Number of matched Ground Truth and Prediction rows for this query.
          type: number
    dmm-plier_confusionMatrix:
      type: object
      nullable: true
      required:
        - matrix
        - labels
      properties:
        matrix:
          type: array
          items:
            items:
              type: integer
            type: array
        labels:
          items:
            type: string
          type: array
    dmm-plier_classificationReport:
      title: MQ Classification Report Object
      description: >-
        List of Metrics per label, List of Macro and Weighted Averaged metrics,
        and Micro Accuracy value
      type: object
      nullable: true
      required:
        - labelsReport
        - accuracyReport
        - averagesReport
      properties:
        labelsReport:
          description: List of Precision, Recall, F1Score, and Support per label
          type: array
          items:
            $ref: '#/components/schemas/dmm-plier_ClassificationReportMetrics'
        accuracyReport:
          $ref: '#/components/schemas/dmm-plier_AccuracyReport'
        averagesReport:
          description: >-
            Macro averaged and weighted averaged Precision, Recall, F1Score, and
            Support
          type: array
          items:
            $ref: '#/components/schemas/dmm-plier_ClassificationReportMetrics'
    dmm-plier_modelType:
      description: Type of the model
      type: string
    dmm-plier_metricCheckConfigCommon:
      title: Metric Query config Common components
      description: Query config Common components
      type: object
      required:
        - alertsEnabled
        - threshold
      properties:
        alertsEnabled:
          title: Alertable
          description: Whether this feature is alertable for not
          type: boolean
        threshold:
          $ref: '#/components/schemas/dmm-plier_metricCheckThreshold'
    dmm-plier_regressionMetrics:
      title: Regression Metric
      description: A Regression Metric Name
      type: string
      enum:
        - mse
        - mae
        - mape
        - r2
        - regression_normalized_weighted_gini
    dmm-plier_classificationMetrics:
      title: Classification Metrics
      description: A Classification Metric Name
      type: string
      enum:
        - accuracy
        - precision
        - recall
        - f1
        - auc_roc
        - log_loss
        - classification_normalized_weighted_gini
    dmm-plier_metricTestResult:
      allOf:
        - $ref: '#/components/schemas/dmm-plier_metricTestResultCommon'
        - type: object
          required:
            - trend
          properties:
            trend:
              type: array
              items:
                $ref: '#/components/schemas/dmm-plier_MetricTrend'
    dmm-plier_ClassificationReportMetrics:
      title: MQ Classification Report Object
      description: >-
        MQ Classification Report object providing classwise and averaged metric
        values
      type: object
      required:
        - heading
        - support
      properties:
        heading:
          description: Class label and Average type like "weighted avg" or "macro avg"
          type: string
        precision:
          description: Classwise or Averaged Precision score
          type: number
          nullable: true
        recall:
          description: Classwise or Averaged Recall score
          type: number
          nullable: true
        f1Score:
          description: Classwise or Averaged F1 score
          type: number
          nullable: true
        support:
          description: Classwise or overall Support
          type: integer
    dmm-plier_AccuracyReport:
      title: MQ Accuracy Report Object
      description: >-
        MQ Accuracy Report Object providing overall weighted averaged accuracy
        for classification report
      type: object
      nullable: true
      required:
        - value
        - support
      properties:
        value:
          description: Micro Accuracy
          type: number
          nullable: true
        support:
          description: >-
            Overall Support, in this case would be the sum of the confusion
            matrix
          type: integer
    dmm-plier_metricCheckThreshold:
      title: Metric Check Thresholds
      description: Check Thresholds at which the check fails
      type: object
      required:
        - operator
        - lowerThreshold
        - upperThreshold
      properties:
        operator:
          title: Math Operator
          description: The math operator for the condition, like < or <=.
          type: string
        lowerThreshold:
          title: Lower Bound
          description: The lower bound for the metric check
          type: number
        upperThreshold:
          title: Upper Bound
          description: The upper bound for the metric check
          type: number
    dmm-plier_metricTestResultCommon:
      type: object
      required:
        - metricType
        - threshold
        - alertsEnabled
      properties:
        status:
          title: Metric check status
          description: Status of the check for the metric.
          type: boolean
          nullable: true
        metricType:
          title: Metric name
          description: Metric name
          type: string
        value:
          title: Metric Value
          description: Metric computed value
          type: number
          nullable: true
        numberOfRecords:
          title: Number of ground truth records matched with prediction
          description: Ground Truth matched records
          type: integer
        threshold:
          $ref: '#/components/schemas/dmm-plier_metricCheckThreshold'
        alertsEnabled:
          title: Are Alerts Enabled
          description: Boolean value to determine if Alerts are Enabled
          type: boolean
    dmm-plier_MetricTrend:
      type: object
      required:
        - timestamp
      properties:
        timestamp:
          description: Timestamp of the date for which this trend point exists.
          type: number
        value:
          description: Value of the trend point.
          type: number
          nullable: true
        numberOfRows:
          description: Number of rows for this trend point.
          type: number
  securitySchemes:
    dmm-plier_DominoApiKeyAuth:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    dmm-plier_DmmApiKeyAuth:
      type: apiKey
      in: header
      name: X-DMM-API-KEY
    dmm-plier_cookieAuth:
      type: apiKey
      in: cookie
      name: PLAY_SESSION
    dmm-plier_BearerAuth:
      type: http
      scheme: bearer

````

## Related topics

- [Analyze model quality](/6.3/platform-capabilities/features/monitoring/5-use-monitoring/4-analyze-model-quality.md)
- [Data drift and quality monitoring](/6.3/platform-capabilities/features/monitoring/2-data-drift-and-model-quality.md)
- [Use monitoring](/6.3/platform-capabilities/features/monitoring/5-use-monitoring/index.md)
- [Set up model quality monitoring](/6.3/platform-capabilities/features/monitoring/3-set-up-domino-endpoints/3-set-up-model-qual-monitor.md)
